Bug 87944 - COLOR-PICKER stays open in the same positiong after resizing/repositioning window.
Summary: COLOR-PICKER stays open in the same positiong after resizing/repositioning wi...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2015-01-01 18:43 UTC by josiasmat
Modified: 2017-02-18 10:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Color picker in the wrong position after moving application window. (61.50 KB, image/png)
2015-01-01 18:43 UTC, josiasmat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josiasmat 2015-01-01 18:43:08 UTC
Created attachment 111621 [details]
Color picker in the wrong position after moving application window.

If you resize, move, maximize or restore an LibreOffice application window after opening a color picker, the picker stays opened in the same position, even if you minimized the window before. The color picker should be closed whenever you changes the window size or position.
Comment 1 Cor Nouws 2015-01-01 20:02:23 UTC
Comment on attachment 111621 [details]
Color picker in the wrong position after moving application window.

correct mime type
Comment 2 mahfiaz 2015-01-01 21:09:07 UTC
Definitely a bug. Probably the easiest fix is to close all similar popup dialogs when resizing or minimizing.
Comment 3 Juergen Funk (CIB) 2016-03-27 19:52:15 UTC
After this patch dab2582f05979cd99a5937cb95a387cfed70bb8d the Dialogs always show in the middle of the application, but not show at the dropdown button, under windows. 
Under linux it works right.
Comment 4 Juergen Funk (CIB) 2016-03-27 20:22:02 UTC
This patch  https://gerrit.libreoffice.org/23557
solve the problem under comment 3, 
and the resize/position problem i can not reproduce
Comment 5 Heiko Tietze 2016-03-28 08:53:31 UTC
(In reply to Juergen Funk (CIB) from comment #3)
> After this patch dab2582f05979cd99a5937cb95a387cfed70bb8d the Dialogs always
> show in the middle of the application, but not show at the dropdown button,
> under windows. 
> Under linux it works right.

That wouldn't be a good solution. Floating forms have a different purpose than modal/amodal dialogs. It is a virtual extension for some control, like the expanded list of a dropdown. When you show the color picker somewhere else than at the picker itself it feels like a dialog: heavy.

I expect that a floating form closes when it lose the focus, which would be the fact on resize. If that isn't possible for some reasons we should rather evaluate the position of the parent control and replace the floater accordingly. If we do so it would be required for all floating controls. Sounds like a lot of trouble.
Comment 6 Maxim Monastirsky 2016-03-28 09:13:24 UTC
(In reply to Heiko Tietze from comment #5)
> (In reply to Juergen Funk (CIB) from comment #3)
> > After this patch dab2582f05979cd99a5937cb95a387cfed70bb8d the Dialogs always
> > show in the middle of the application, but not show at the dropdown button,
> > under windows. 
> > Under linux it works right.
> 
> That wouldn't be a good solution.
It's not a solution. That's the bug Juergen is trying to fix (also reported in Bug 97869, not exactly the same as the original report here).
Comment 7 Commit Notification 2016-04-11 10:37:42 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58bcea744ac4d9f73f055527369ef54cbc8f1a97

tdf#87944 COLOR-PICKER stays on wrong position.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 mahfiaz 2016-04-23 10:51:43 UTC
I tested the master build on Linux from 2016-04-21_08:41:08.

It behaves still the same. When I click the color picker open in Writer and drag the Writer window around the color picker stays open in the exact same place where it opened.

Not that it's a huge problem or anything.
Comment 9 V Stuart Foote 2016-04-23 14:52:19 UTC
Removing the target 5.2.0, as that probably should have been against tdf#97689 -- issue here remains.

Not sure of the code to control to the widget, but the color picker should stay attached/positioned to the toolbar until it is closed--or has been given focus and torn away.

What seems to happen is that the widget (all instances) are now being opened at the correct location adjacent to their toolbar buttons (Jurgen's work on bug 97869 noted in comment 7). But there is then no "anchor" to that point on the toolbar.  When the LibreOffice frame is dragged or resized--the color picker behaves as if it had been torn away--but without the Windows frame controls.
Comment 10 Heiko Tietze 2017-02-18 10:11:34 UTC
The picker disappears now when focus is lost. That makes it impossible to move or size the parent.